png::basic_ga_pixel< T > Struct Template Reference

Basic Gray+Alpha pixel type. More...

`#include <ga_pixel.hpp>`

## Public Types

typedef pixel_traits< basic_ga_pixel< T > > | traits

## Public Member Functions

| basic_ga_pixel (T value=0, T alpha=traits::get_alpha_filler())
| Constructs basic_ga_pixel object from value and alpha components passed as parameters. Alpha defaults to full opacity. More...

## Public Attributes

T | value
T | alpha

## Detailed Description

### template<typename T>
struct png::basic_ga_pixel< T >

Basic Gray+Alpha pixel type.

## Member Typedef Documentation

template<typename T >

typedef pixel_traits< basic_ga_pixel< T > > png::basic_ga_pixel< T >::traits

## Constructor & Destructor Documentation

template<typename T >

png::basic_ga_pixel< T >::basic_ga_pixel | ( | T | value = `0`,
|  | T | alpha = `traits::get_alpha_filler()`
| ) |  |

inline

Constructs basic_ga_pixel object from value and alpha components passed as parameters. Alpha defaults to full opacity.

## Member Data Documentation

template<typename T >

T png::basic_ga_pixel< T >::value

template<typename T >

T png::basic_ga_pixel< T >::alpha

The documentation for this struct was generated from the following file:

- ga_pixel.hpp